Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.traits
Class BorderProps

    java.lang.Object
      org.apache.fop.traits.BorderProps

All Implemented Interfaces:
  java.io.Serializable

    public class BorderProps

extends java.lang.Object
implements java.io.Serializable

Border properties. Class to store border trait properties for the area tree.

See Also:
  Serialized Form

Field Summary
`static int` | `COLLAPSE_INNER` Collapsing border model, for borders inside a table
`static int` | `COLLAPSE_OUTER` Collapsing border model, for borders at the table's outer border
`java.awt.Color` | `color` Border color
`int` | `mode` Border mode (one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)
`static int` | `SEPARATE` Separate border model
`int` | `style` Border style (one of EN_*)
`int` | `width` Border width

Constructor Summary
`BorderProps(int style, int width, java.awt.Color color, int mode)` Constructs a new BorderProps instance.
`BorderProps(java.lang.String style, int width, java.awt.Color color, int mode)` Constructs a new BorderProps instance.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static int` | `getClippedWidth(BorderProps bp)`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`static BorderProps` | `valueOf(FOUserAgent foUserAgent, java.lang.String s)` Returns a BorderProps represtation of a string of the format as written by BorderProps.toString().

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SEPARATE

    public static final int SEPARATE

  Separate border model

  See Also:
    Constant Field Values

### COLLAPSE_INNER

    public static final int COLLAPSE_INNER

  Collapsing border model, for borders inside a table

  See Also:
    Constant Field Values

### COLLAPSE_OUTER

    public static final int COLLAPSE_OUTER

  Collapsing border model, for borders at the table's outer border

  See Also:
    Constant Field Values

### style

    public int style

  Border style (one of EN_*)

### color

    public java.awt.Color color

  Border color

### width

    public int width

  Border width

### mode

    public int mode

  Border mode (one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)

Constructor Detail

### BorderProps

    public BorderProps(int style,
                       int width,
                       java.awt.Color color,
                       int mode)

  Constructs a new BorderProps instance.

  Parameters:
    `style` - border style (one of EN_*)
    `width` - border width
    `color` - border color
    `mode` - border mode ((one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)

### BorderProps

    public BorderProps(java.lang.String style,
                       int width,
                       java.awt.Color color,
                       int mode)

  Constructs a new BorderProps instance.

  Parameters:
    `style` - border style (one of the XSL enum values for border style)
    `width` - border width
    `color` - border color
    `mode` - border mode ((one of SEPARATE, COLLAPSE_INNER and COLLAPSE_OUTER)

Method Detail

### getClippedWidth

    public static int getClippedWidth(BorderProps bp)

  Parameters:
    `bp` - the border properties or null
  Returns:
    the effective width of the clipped part of the border

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### valueOf

    public static BorderProps valueOf(FOUserAgent foUserAgent,
                                      java.lang.String s)

  Returns a BorderProps represtation of a string of the format as written by BorderProps.toString().

  Parameters:
    `foUserAgent` - FOP user agent caching ICC profiles
    `s` - the string
  Returns:
    a BorderProps instance

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.